# sbotools2

**sbotools2** provides a ports-like interface to [slackbuilds.org](http://www.slackbuilds.org/).

This is the maintenance fork of the [original sbotools](https://https://pink-mist.github.io/sbotools/)
version 2 by a new maintainer.  Changes are listed in the [ChangeLog](ChangeLog.md).

Another has taken over [sbotools](https://pghvlaans.github.io/sbotools/) for version 3.

## Project To Do's

Planned improvements and known bugs are listed on the project's
[todo branch](https://git.server.ky/slackcoder/sbotools2/tree?h=todo).

## Auditing Changes

You can audit the forked changes by asking git to show commits since the last known official commit.

```sh
git remote add pink-mist https://github.com/pink-mist/sbotools
git fetch pink-mist
git show pink-mist/master..
```

The latest changes on the master branch can be verified using the maintainer's
[GPG Key](GPG-KEY) included in the project.  The 'FINGERPRINT' should not
change unless the maintainer does.

```sh
FINGERPRINT=D0CFFD1075CAB8DA329975078D147EEA19EFF029

if ! gpg2 --list-keys | grep "$FINGERPRINT" >/dev/null; then
  gpg2 --import ./GPG-KEY
fi

if git verify-commit origin/master; then
  echo "verification ok"
else
  echo "verification failed"
fi
```

## Testing

Unit tests are defined under 't/'.  Note some tests require environmental flags
resulting in modifying your slackware system.  You should run them under docker
as described below.

```
prove -v t
```

You can use the Dockerfile to remove the headache for setting up the test
environment.  You will need to build the docker image before being able to use
it.

Test categories are enabled via environment variables enabled via docker's '--env' parameter.

```
docker build -t sbotools2-test:15.0 --file docker/sbotools2-test:15.0.dockerfile .
docker run --rm -v $(realpath .):/root/sbotools2 --env TEST_INSTALL=1 --env TEST_ONLINE=1 -t sbotools2-test:15.0
```
