# docker run -v $(realpath .):/root/sbotools2 -t sbotools2-test:15.0

FROM vbatts/slackware:15.0

ARG MIRROR=https://mirrors.slackware.com/slackware/slackware64-15.0

# Project must be mounted here.
VOLUME /root/sbotools2

# Upgrade and install all
RUN echo ${MIRROR} > /etc/slackpkg/mirrors
RUN sed -i 's/^WGETFLAGS=".*"/WGETFLAGS="--quiet --no-check-certificate"/g' /etc/slackpkg/slackpkg.conf
RUN yes y | slackpkg update && \
  slackpkg install-new -terse && \
  slackpkg upgrade-all -terse -batch=yes -default_answer=yes && \
  slackpkg install -terse -batch=yes -default_answer=yes a ap d f n l t tcl

# Fix SSL certificate errors
RUN yes y | slackpkg reinstall ca-certificates

RUN cpan install \
  Capture::Tiny \
  Devel::Cover\
  Test::Diff \
  Test::Exit \
  Test::More 

# Git configuration some test's setup.
RUN git config --global user.name root \
  && git config --global user.email root@localhost

WORKDIR /root/sbotools2

CMD ["prove",  "-v",  "t"]
